| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Image
Image.Image

# Method Image.Image()->copy()

Method copy

  `object copy()`
  `object copy(int x1, int y1, int x2, int y2)`
  `object copy(int x1, int y1, int x2, int y2, int r, int g, int b)`
  `object copy(int x1, int y1, int x2, int y2, int r, int g, int b, int alpha)`

Description

  Copies this part of the image. The requested area can be smaller, giving a cropped image, or bigger - the new area will be filled with the given or current color.

  original | ->copy (5,5, XSIZE-6,YSIZE-6) | ->copy (-5,-5, XSIZE+4,YSIZE+4, 10,75,10)

Parameter `x1`
Parameter `y1`
Parameter `x2`
Parameter `y2`

  The requested new area. Default is the old image size.

Parameter `r`
Parameter `g`
Parameter `b`

  color of the new image

Parameter `alpha`

  new default alpha channel value

Returns

  a new image object

Note

  clone (void) and copy (void) does the same operation

See also

  clone , autocrop